PySpark Plaso Release 2019 A tool for distributed extraction of timestamps from various files using extractors adapted from the Plaso engine to Apache Spark.

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
plaso.tarzan.dfvfs2.hdfs_file_system.HDFSFileSystem Class Reference
Inheritance diagram for plaso.tarzan.dfvfs2.hdfs_file_system.HDFSFileSystem:
[legend]
Collaboration diagram for plaso.tarzan.dfvfs2.hdfs_file_system.HDFSFileSystem:
[legend]

## Public Member Functions
def | __init__ (self, resolver_context)
def | FileEntryExistsByPathSpec (self, path_spec)
def | GetFileEntryByPathSpec (self, path_spec)
def | GetRootFileEntry (self)
def | BasenamePath (self, path)
def | DirnamePath (self, path)
def | JoinPath (self, path_segments, qualified=False)
def | SplitPath (self, path, qualified=False)

## Public Attributes
| hdfs

## Static Public Attributes
| LOCATION_ROOT = Hdfs.PATH_SEPARATOR
| PATH_SEPARATOR = Hdfs.PATH_SEPARATOR
| TYPE_INDICATOR = definitions.TYPE_INDICATOR_HDFS

## Detailed Description

    HDFS file system.

## Constructor & Destructor Documentation

## ◆ __init__()

def plaso.tarzan.dfvfs2.hdfs_file_system.HDFSFileSystem.__init__ | ( |  | self,
|  |  | resolver_context
| ) |  |

    Initializes a file system.
    :param resolver_context: resolver context
    :raises ValueError: if a derived file system class does not define a type indicator

## Member Function Documentation

## ◆ BasenamePath()

def plaso.tarzan.dfvfs2.hdfs_file_system.HDFSFileSystem.BasenamePath | ( |  | self,
|  |  | path
| ) |  |

    Determines the basename of the path.
    :param path: path
    :return: basename of the path

## ◆ DirnamePath()

def plaso.tarzan.dfvfs2.hdfs_file_system.HDFSFileSystem.DirnamePath | ( |  | self,
|  |  | path
| ) |  |

    Determines the directory name of the path. The file system root is represented by an empty string.
    :param path: path
    :return: directory name of the path or None

## ◆ FileEntryExistsByPathSpec()

def plaso.tarzan.dfvfs2.hdfs_file_system.HDFSFileSystem.FileEntryExistsByPathSpec | ( |  | self,
|  |  | path_spec
| ) |  |

    Determines if a file entry for a path specification exists.
    :param path_spec: a path specification
    :return: True if the file entry exists, false otherwise

## ◆ GetFileEntryByPathSpec()

def plaso.tarzan.dfvfs2.hdfs_file_system.HDFSFileSystem.GetFileEntryByPathSpec | ( |  | self,
|  |  | path_spec
| ) |  |

    Retrieves a file entry for a path specification.
    :param path_spec: a path specification
    :return: a file entry or None if not available

## ◆ GetRootFileEntry()

def plaso.tarzan.dfvfs2.hdfs_file_system.HDFSFileSystem.GetRootFileEntry | ( |  | self | ) |

    Retrieves the root file entry.
    :return: a file entry or None if not available

## ◆ JoinPath()

def plaso.tarzan.dfvfs2.hdfs_file_system.HDFSFileSystem.JoinPath | ( |  | self,
|  |  | path_segments,
|  |  | qualified = `False`
| ) |  |

    Joins the path segments into a path.
    :param path_segments: path segments where the first can be a fully qualified HDFS URI
    :param qualified: if the resulting path should be a fully qualified HDFS URI
    :return: joined path segments prefixed with the path separator

## ◆ SplitPath()

def plaso.tarzan.dfvfs2.hdfs_file_system.HDFSFileSystem.SplitPath | ( |  | self,
|  |  | path,
|  |  | qualified = `False`
| ) |  |

    Splits the path into path segments.
    :param path: path
    :param qualified: if the first segment should be an HDFS URI
    :return: path segments without the root path segment, which is an empty string.

## Member Data Documentation

## ◆ hdfs

plaso.tarzan.dfvfs2.hdfs_file_system.HDFSFileSystem.hdfs

## ◆ LOCATION_ROOT

plaso.tarzan.dfvfs2.hdfs_file_system.HDFSFileSystem.LOCATION_ROOT = Hdfs.PATH_SEPARATOR
| static

## ◆ PATH_SEPARATOR

plaso.tarzan.dfvfs2.hdfs_file_system.HDFSFileSystem.PATH_SEPARATOR = Hdfs.PATH_SEPARATOR
| static

## ◆ TYPE_INDICATOR

plaso.tarzan.dfvfs2.hdfs_file_system.HDFSFileSystem.TYPE_INDICATOR = definitions.TYPE_INDICATOR_HDFS
| static

The documentation for this class was generated from the following file:

- /home/rychly/repos/pyspark-plaso/src/plaso/tarzan/dfvfs2/hdfs_file_system.py